# Uses of Interface
net.shibboleth.profile.module.Module

Packages that use Module
Package
Description
net.shibboleth.profile.installablecomponent
Classes for "Installable Components".
net.shibboleth.profile.module
Classes for Modules for the IdP and eventually other applications.
net.shibboleth.profile.plugin
Classes for plugins.

## Uses of Module in net.shibboleth.profile.installablecomponent

Constructor parameters in net.shibboleth.profile.installablecomponent with type arguments of type Module
Modifier
Constructor
Description
``
`InstallableComponentVersion(Plugin<? extends Module> plugin)`
Constructor.

## Uses of Module in net.shibboleth.profile.module

Classes in net.shibboleth.profile.module that implement Module
Modifier and Type
Class
Description
`class`
`AbstractModule`
`Module` base class implementing basic file management.
`class`
`PropertyDrivenModule`
Implementation of `Module` relying on Java `Properties`.
Constructor parameters in net.shibboleth.profile.module with type arguments of type Module
Modifier
Constructor
Description
``
`PropertyDrivenModule(String version, Class<? extends Module> claz)`
Constructor.

## Uses of Module in net.shibboleth.profile.plugin

Classes in net.shibboleth.profile.plugin with type parameters of type Module
Modifier and Type
Class
Description
`class`
`AbstractPlugin<T extends Module>`
A base class implementing `Plugin` that defaults common settings.
`interface`
`Plugin<T extends Module>`
The base interface for plugins into the IdP and SP.
`class`
`PropertyDrivenPlugin<T extends Module>`
Implementation of `Plugin` relying on Java `Properties`.